// AjudDDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudDDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudDDlg dialog


CAjudDDlg::CAjudDDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudDDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudDDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudDDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudDDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudDDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudDDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudDDlg message handlers

BOOL CAjudDDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
   // tenta carregar bitmaps
	if ( ! m_oBmp.LoadBitmaps ( _T ( "BMP_DICIONARIO" ), NULL, NULL ) ||
        ! m_oBmpEx.LoadBitmaps ( _T ( "BMP_EXDICIONARIO" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_DICIONARIO, this ) );
	VERIFY ( m_oBmpEx.SubclassDlgItem ( IDC_AJUDA_EXDICIONARIO, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmp.SizeToContent ();
	m_oBmpEx.SizeToContent ();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
